<div class='sound-container{{if @minimal "-minimal"}}'>
  <div
    class='sound-player d-flex flex-column justify-content-center
      {{if this.isLoading "is-loading"}}'
    ...attributes
  >
    <div class='btn-container text-center w-100'>
      {{#if this.isError}}
        <div class='error text-danger p-2'>
          <FaIcon @icon='exclamation-triangle' />
        </div>
      {{else}}
        {{#if this.isLoading}}
          <div class='loader'>
            <FaIcon @icon='spinner' @spin={{true}} />
          </div>
        {{/if}}

        {{#if this.isPlaying}}
          <button
            class='btn btn-pause'
            type='button' {{on 'click' this.pause}}
          >
            <FaIcon @icon='pause' />
          </button>
        {{else}}
          <button
            class='btn btn-play'
            type='button' {{on 'click' this.play}}
            disabled={{@disabled}}
          >
            <FaIcon @icon='play' />
          </button>
        {{/if}}
      {{/if}}
    </div>

    <audio class='d-none' controls {{did-insert this.setupAudio}}>
      <source src='{{@value.sound}}/weba-192' type='audio/webm' />
      <source src='{{@value.sound}}/ogg-192' type='audio/ogg' />
      <source src='{{@value.sound}}/aac-192' type='audio/aac' />
      <source src='{{@value.sound}}/mp3-192' type='audio/mpeg' />
    </audio>
  </div>
  {{#if @value.name}}
    <div class='sound-label'>
      {{@value.name}}
    </div>
  {{/if}}
</div>